Description

On DataMiner the process re-submission fails. Please check with 

https://i-marine.d4science.org/group/stockassessment/data-miner?OperatorId=org.gcube.dataanalysis.wps.statisticalmanager.synch

server.mappedclasses.transducerers.CMSY_2 

History

#1 - Feb 06, 2017 02:32 PM - Pasquale Pagano

- Tracker changed from Incident to Task

I have to change the tracker since it is really unbelievable that an incident was not considered up to now. Please update it now. 

#2 - Feb 06, 2017 03:59 PM - Giancarlo Panichi

- Assignee changed from Giancarlo Panichi to Lucio Lelii

This is a communication problem between DataMiner Service and Workspace, no problem on the portlet. Please @lucio.lelii@isti.cnr.it and

@gianpaolo.coro@isti.cnr.it check the service

#3 - Feb 06, 2017 04:42 PM - Gianpaolo Coro

There are issues with the Workspace interaction, perhaps due to the release of December.

When I execute a computation from a VRE through the portal, the HL returns this error:

org.gcube.common.homelibrary.home.workspace.exceptions.ItemNotFoundException: java.lang.String cannot be cast 

to org.gcube.common.homelibary.model.items.ItemDelegate

org.gcube.common.homelibrary.home.exceptions.InternalErrorException: org.gcube.common.homelibrary.home.workspa

ce.exceptions.ItemNotFoundException: java.lang.String cannot be cast to org.gcube.common.homelibary.model.item

s.ItemDelegate

 Nevertheless, the issue does not appear by calling the DataMiner directly via http, e.g.:

http://dataminer1-p-d4s.d4science.org/wps/WebProcessingService?request=Execute&service=WPS&Version=1.0.0&gcube

-token=26209520-6e2d-4850-9716-0b2bd37fd017-843339462&lang=en-US&Identifier=org.gcube.dataanalysis.wps.statist

icalmanager.synchserver.mappedclasses.clusterers.DBSCAN&DataInputs=OccurrencePointsTable=http://data.d4science

.org/a0pFQ0RuUXhpOEpmcElhcUlmQUpWc3VLd0FWM04xMnlHbWJQNStIS0N6Yz0;FeaturesColumnNames=a|b|t;OccurrencePointsClu

sterLabel=OccCluster_;epsilon=10;min_points=1;

 The issue is not there neither when using the proxy instead of the direct service address.

The complete stack trace of the Exception is:

org.gcube.common.homelibrary.home.exceptions.InternalErrorException: org.gcube.common.homelibrary.home.workspa

ce.exceptions.ItemNotFoundException: java.lang.String cannot be cast to org.gcube.common.homelibary.model.item

s.ItemDelegate

        at org.gcube.common.homelibrary.jcr.workspace.JCRWorkspaceItem.getAbsolutePath(JCRWorkspaceItem.java:1

089)

        at org.gcube.common.homelibrary.jcr.workspace.JCRAbstractWorkspaceFolder.createFolder(JCRAbstractWorks

paceFolder.java:244)

        at org.gcube.dataanalysis.wps.statisticalmanager.synchserver.mapping.dataspace.DataspaceManager.upload

ComputationData(DataspaceManager.java:271)

        at org.gcube.dataanalysis.wps.statisticalmanager.synchserver.mapping.dataspace.DataspaceManager.writeP

rovenance(DataspaceManager.java:406)

        at org.gcube.dataanalysis.wps.statisticalmanager.synchserver.mapping.dataspace.DataspaceManager.run(Da
taspaceManager.java:78)

        at java.lang.Thread.run(Thread.java:745)

Caused by: org.gcube.common.homelibrary.home.workspace.exceptions.ItemNotFoundException: java.lang.String cann

ot be cast to org.gcube.common.homelibary.model.items.ItemDelegate

        at org.gcube.common.homelibrary.jcr.workspace.servlet.JCRSession.getItemById(JCRSession.java:299)

        at org.gcube.common.homelibrary.jcr.workspace.JCRWorkspaceItem.getAbsolutePath(JCRWorkspaceItem.java:1

085)

        ... 5 more

 I guess the HL is not updated on DataMiner, which once gave the same issue and this issue is somehow related to the VRE and authentication

indicated by the portal. @roberto.cirillo@isti.cnr.it and @valentina.marioli@isti.cnr.it could you help us please?

#4 - Feb 06, 2017 06:50 PM - Roberto Cirillo

I've done some tests.

When an execution is performed by portal I see an exception on HomeLibrary webapp:

2017-02-06 18:32:59.452 INFO  [http-bio-8080-exec-1196195] SaveAccountingItem.java:68 Servlet SaveAccountingIt

em called for entry ADD

2017-02-06 18:32:59.453 INFO  [http-bio-8080-exec-1196195] AccountingDelegateWrapper.java:57 Adding ADD to nod

e: /Home/roberto.cirillo/Workspace/DataMiner/Output Data Sets

2017-02-06 18:32:59.532 INFO  [http-bio-8080-exec-1196162] GetItemByPath.java:64 Servlet GetItemByPath called 

with parameters: [path: /Home/roberto.cirillo/Workspace/DataMiner/Computations]

2017-02-06 18:32:59.554 INFO  [http-bio-8080-exec-1196044] SaveItem.java:74 Servlet SaveItem called with param

eters: [itemName: DBSCAN_ID_c276622d-8e51-47f6-98a2-7488c6488e99 - by: roberto.cirillo]

2017-02-06 18:32:59.555 INFO  [http-bio-8080-exec-1196044] ItemDelegateWrapper.java:704 Create a new node

2017-02-06 18:32:59.556 INFO  [http-bio-8080-exec-1196044] ItemDelegateWrapper.java:72 Adding node DBSCAN_ID_c

276622d-8e51-47f6-98a2-7488c6488e99 to parentNode /Home/roberto.cirillo/Workspace/DataMiner/Computations - typ

e: nthl:workspaceItem

javax.jcr.ItemExistsException: This node already exists: /Home/roberto.cirillo/Workspace/DataMiner/Computation

s/DBSCAN_ID_c276622d-8e51-47f6-98a2-7488c6488e99

    at org.apache.jackrabbit.core.NodeImpl.addNode(NodeImpl.java:1297)

    at org.apache.jackrabbit.core.session.AddNodeOperation.perform(AddNodeOperation.java:111)

    at org.apache.jackrabbit.core.session.AddNodeOperation.perform(AddNodeOperation.java:37)

    at org.apache.jackrabbit.core.session.SessionState.perform(SessionState.java:216)

    at org.apache.jackrabbit.core.ItemImpl.perform(ItemImpl.java:91)

    at org.apache.jackrabbit.core.NodeImpl.addNodeWithUuid(NodeImpl.java:1818)

    at org.apache.jackrabbit.core.NodeImpl.addNode(NodeImpl.java:1778)

    at org.apache.jackrabbit.j2ee.workspacemanager.ItemDelegateWrapper.addNode(ItemDelegateWrapper.java:76)

    at org.apache.jackrabbit.j2ee.workspacemanager.ItemDelegateWrapper.save(ItemDelegateWrapper.java:705)

    at org.apache.jackrabbit.j2ee.workspacemanager.servlets.post.SaveItem.doPost(SaveItem.java:79)

    at javax.servlet.http.HttpServlet.service(HttpServlet.java:650)

    at javax.servlet.http.HttpServlet.service(HttpServlet.java:731)

    at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:303)

    at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:208)

    at org.apache.tomcat.websocket.server.WsFilter.doFilter(WsFilter.java:52)

    at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:241)

    at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:208)

    at org.gcube.smartgears.managers.RequestManager.doFilter(RequestManager.java:95)

    at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:241)

    at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:208)

    at org.apache.catalina.core.StandardWrapperValve.invoke(StandardWrapperValve.java:220)

    at org.apache.catalina.core.StandardContextValve.invoke(StandardContextValve.java:122)

    at org.apache.catalina.authenticator.AuthenticatorBase.invoke(AuthenticatorBase.java:505)

    at org.apache.catalina.core.StandardHostValve.invoke(StandardHostValve.java:169)

    at org.apache.catalina.valves.ErrorReportValve.invoke(ErrorReportValve.java:103)

    at org.apache.catalina.valves.AccessLogValve.invoke(AccessLogValve.java:956)

    at org.apache.catalina.core.StandardEngineValve.invoke(StandardEngineValve.java:116)

    at org.apache.catalina.connector.CoyoteAdapter.service(CoyoteAdapter.java:423)

    at org.apache.coyote.http11.AbstractHttp11Processor.process(AbstractHttp11Processor.java:1079)

    at org.apache.coyote.AbstractProtocol$AbstractConnectionHandler.process(AbstractProtocol.java:625)

    at org.apache.tomcat.util.net.JIoEndpoint$SocketProcessor.run(JIoEndpoint.java:316)

    at java.util.concurrent.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1145)

    at java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:615)

    at org.apache.tomcat.util.threads.TaskThread$WrappingRunnable.run(TaskThread.java:61)

    at java.lang.Thread.run(Thread.java:744)

 when the same execution is perfomed by url I don't see this exception:

2017-02-06 18:35:01.547 INFO  [http-bio-8080-exec-1196212] SaveAccountingItem.java:68 Servlet SaveAccountingIt

em called for entry ADD

2017-02-06 18:35:01.548 INFO  [http-bio-8080-exec-1196212] AccountingDelegateWrapper.java:57 Adding ADD to nod

e: /Home/roberto.cirillo/Workspace/DataMiner/Output Data Sets

2017-02-06 18:35:01.644 INFO  [http-bio-8080-exec-1196208] GetItemByPath.java:64 Servlet GetItemByPath called 
with parameters: [path: /Home/roberto.cirillo/Workspace/DataMiner/Computations]

2017-02-06 18:35:01.672 INFO  [http-bio-8080-exec-1196219] SaveItem.java:74 Servlet SaveItem called with param

eters: [itemName: DBSCAN_ID_4972d6da-a941-458f-a5c6-dcce4bb414a1 - by: roberto.cirillo]

2017-02-06 18:35:01.673 INFO  [http-bio-8080-exec-1196219] ItemDelegateWrapper.java:704 Create a new node

2017-02-06 18:35:01.674 INFO  [http-bio-8080-exec-1196219] ItemDelegateWrapper.java:72 Adding node DBSCAN_ID_4

972d6da-a941-458f-a5c6-dcce4bb414a1 to parentNode /Home/roberto.cirillo/Workspace/DataMiner/Computations - typ

e: nthl:workspaceItem

2017-02-06 18:35:01.674 ERROR [http-bio-8080-exec-1196219] ItemDelegateWrapper.java:312 hl:IsSystemFolder not 

present

 @valentina.marioli@isti.cnr.it do you think this exception could be the problem?

#5 - Apr 30, 2019 05:35 PM - Lucio Lelii

- Status changed from New to Closed
